#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,960,1440,1480,1560,1680,1720,1760,1800,1960
 * N : 25,960,1440,1480,1560,1680,1720,1760,1800,1960
 * NB : 12,12,12,16,48,48,56,80,104,88
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 1460) (nb_) = 12; \
   else if ((n_) < 1520) (nb_) = 16; \
   else if ((n_) < 1700) (nb_) = 48; \
   else if ((n_) < 1740) (nb_) = 56; \
   else if ((n_) < 1780) (nb_) = 80; \
   else if ((n_) < 1880) (nb_) = 104; \
   else (nb_) = 88; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
