#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,600,1240,1360,1520,1680,1840,2480
 * N : 25,120,200,240,280,600,1240,1360,1520,1680,1840,2480
 * NB : 2,8,8,8,68,40,40,80,80,80,112,88
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 260) (nb_) = 8; \
   else if ((n_) < 440) (nb_) = 68; \
   else if ((n_) < 1300) (nb_) = 40; \
   else if ((n_) < 1760) (nb_) = 80; \
   else if ((n_) < 2160) (nb_) = 112; \
   else (nb_) = 88; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
